System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

The can be set when applying a to an XML Web service method or a method of a client proxy class. The can also be set by applying a to a class implementing an XML Web service.

Specifies how parameters are formatted in a SOAP message.

- Field
  System.Web.Services.Protocols.SoapParameterStyle To be added

  Parameters sent to and from an XML Web service method are placed in XML elements directly following the Body element of a SOAP request or SOAP response.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.Services.Protocols.SoapParameterStyle To be added

  Specifies using the default for the XML Web service. The default for an XML Web service can be set by applying a to the class implementing the XML Web service. If a is not applied to the class implementing the XML Web service, the default is .

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.Services.Protocols.SoapParameterStyle To be added

  Parameters sent to and from an XML Web service method are encapsulated within a single XML element followig the Body element of the XML portion of a SOAP request or SOAP response.

  1.0.5000.0
  2.0.0.0